import tkinter as tk
from tkinter import filedialog
from PIL import Image, ImageTk, ImageFilter

w = 400
h = 300

class SampleApp(tk.Tk):
    def getFilter(self,num):
        filter = ImageFilter.BLUR
        if num == 1:
            filter = ImageFilter.BLUR
        elif num == 2:
            filter = ImageFilter.CONTOUR
        elif num == 3:
            filter = ImageFilter.EDGE_ENHANCE
        elif num == 4:
            filter = ImageFilter.EMBOSS
        return filter

    def radio_click(self):
        f = self.getFilter(self.rv.get())    
        self.fim = self.im.filter(filter=f)
        self.pim = ImageTk.PhotoImage(image=self.fim)
        self.cn.itemconfig(self.cim,image=self.pim)

    def bt_click(self):
        fname = filedialog.askopenfilename()
        self.im = Image.open(fname)
        f = self.getFilter(self.rv.get())    
        self.fim = self.im.filter(filter=f)
        self.pim = ImageTk.PhotoImage(image=self.fim)
        self.cn.itemconfig(self.cim,image=self.pim)

    def __init__(self):
        super().__init__()

        self.rv = tk.IntVar()
        self.rv.set(1)

        self.im = Image.open("pic1.png")
        self.pim = ImageTk.PhotoImage(image=self.im)
        self.cn = tk.Canvas(self, width=w, height=h)
        self.cn.pack()
        self.cim = self.cn.create_image(w/2,h/2, image=self.pim)

        self.bt = tk.Button(text="ファイルの選択",command=self.bt_click)
        self.bt.pack()

        self.rb1 = tk.Radiobutton(self, text="BLUR", variable=self.rv, value=1, command=self.radio_click)
        self.rb2 = tk.Radiobutton(self, text="CONTOUR", variable=self.rv, value=2, command=self.radio_click)
        self.rb3 = tk.Radiobutton(self, text="EDGE_ENHANCE", variable=self.rv, value=3, command=self.radio_click)
        self.rb4 = tk.Radiobutton(self, text="EMBOSS", variable=self.rv, value=4, command=self.radio_click)

        self.rb1.pack()
        self.rb2.pack()
        self.rb3.pack()
        self.rb4.pack()

root = SampleApp()
root.title("サンプル")
root.mainloop()